pub fn hello(name: Option<&str>) -> String {
	let mut returnString: String;
	match name {
		Some(name) 	=> returnString = "Hello, ".to_string() + &name.to_string() + "!",
		None		=> returnString = "Hello, World!".to_string(),
	}
	return returnString;
}